This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 139310 - Mozilla and FireFox crash on missing .ttf file
Mozilla and FireFox crash on missing .ttf file
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 22:31 EST by Peter Zelezny
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:51:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Zelezny 2004-11-14 22:31:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
I've upgraded from FC1->FC2->FC3, maybe the XFT config was hosed.

This happens if I view: file:///usr/share/doc/HTML/index.html

gettimeofday({1100488569, 742038}, NULL) = 0
open("/usr/X11R6/lib/X11/fonts/TTF/Vera.ttf", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/X11R6/lib/X11/fonts/TTF/Vera.ttf", O_RDONLY) = -1 ENOENT
(No such file or directory)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
unlink("/home/pz/.mozilla/default/oiyc90ll.slt/lock") = 0
rt_sigaction(SIGSEGV, {SIG_DFL}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [SEGV], NULL, 8) = 0
tgkill(3769, 3769, SIGSEGV)             = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

Obviously copying the .ttf files from /usr/share/fonts/bitstream-vera
to /usr/X11R6/lib/X11/fonts/TTF. Is it a bad xft cache or somesuch?


Version-Release number of selected component (if applicable):
mozilla-1.7.3-17

How reproducible:
Always

Steps to Reproduce:
1. browse to file:///usr/share/doc/HTML/index.html.


Actual Results:  Segfault.


Expected Results:  Display the page.

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:35:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 17:51:45 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.